<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/include/Settings/SetSettingResult.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a></li><li class="navelem"><a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SetSettingResult.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_set_setting_result_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SETTINGS_INCLUDE_SETTINGS_SETSETTINGRESULT_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SETTINGS_INCLUDE_SETTINGS_SETSETTINGRESULT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">   21</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a1b7e0a590f9d0878bcc4b725e2998cb1">NO_CHANGE</a>,</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a2dd46327778dc43d97ce8fbe647d7a5e">ENQUEUED</a>,</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a802706a9238e2928077f97736854bad4">BUSY</a>,</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a7fb8945c24da1480ac642eda51db249c">UNAVAILABLE_SETTING</a>,</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5ae8c0c70879b5895c615677261d64a1ee">INTERNAL_ERROR</a></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;};</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SETTINGS_INCLUDE_SETTINGS_SETSETTINGRESULT_H_</span></div><div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5a802706a9238e2928077f97736854bad4"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a802706a9238e2928077f97736854bad4">SetSettingResult::BUSY</a></div></div>
<div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5ae8c0c70879b5895c615677261d64a1ee"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5ae8c0c70879b5895c615677261d64a1ee">SetSettingResult::INTERNAL_ERROR</a></div><div class="ttdoc">The request failed due to some internal error. </div></div>
<div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5a7fb8945c24da1480ac642eda51db249c"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a7fb8945c24da1480ac642eda51db249c">SetSettingResult::UNAVAILABLE_SETTING</a></div><div class="ttdoc">The request was failed because the setting requested does not exist. </div></div>
<div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a></div><div class="ttdeci">SetSettingResult</div><div class="ttdef"><b>Definition:</b> SetSettingResult.h:21</div></div>
<div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5a1b7e0a590f9d0878bcc4b725e2998cb1"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a1b7e0a590f9d0878bcc4b725e2998cb1">SetSettingResult::NO_CHANGE</a></div><div class="ttdoc">The set value is already the current setting value and there is no change in progress. </div></div>
<div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5a2dd46327778dc43d97ce8fbe647d7a5e"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a2dd46327778dc43d97ce8fbe647d7a5e">SetSettingResult::ENQUEUED</a></div><div class="ttdoc">The change request has been enqueued. There will be a follow up notification to inform the operation ...</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
